import React, { Component, useState, useEffect } from 'react';
import { Card, Row, Col, Statistic, Icon, Button } from 'antd';
// import IndexEcharts from './components/indexEcharts';
import moment from 'moment';
import request from '@/utils/request';
import apis from '@/services/apis';
import CitySelect from '@/components/SelectButton/CitySelect2';
import TimeSelect from '../../compents/TimeSelect';
import StatsChart from './component/StatsChart'

const BuildingStatistic = props => {
  const [city, setCity] = useState('');

  const [data, setData] = useState({});
  const onTimeChange = e => {
    console.log(e, 'onTimeChange');
    getData({startDate:e[0],endDate:e[1]})
  };

  const getData = params => {
    request({
      ...apis.stats.barList,
      params: {
        startDate: moment(params.startDate).format('YYYY-MM-DDT00:00:00.000') + 'Z',
        endDate: moment(params.endDate).format('YYYY-MM-DDT23:59:59.999') + 'Z',
      },
    }).then(data => {
        setData( data);
    });
  };
console.log(data,'----------')
  return (
    <Card
      title={<CitySelect value={city} onChange={e => setCity('e')} all />}
      headStyle={{ textAlign: 'left' }}
      extra={<TimeSelect onChange={onTimeChange}></TimeSelect>}
    >
      <Row>
        <Col span={12}>
          <StatsChart title="项目公客排行" data={data.gkBarMap} />
        </Col>
        <Col span={12}>
          <StatsChart title="项目私客排行" data={data.skBarMap} />
        </Col>
      </Row>
      <Row>
        <Col span={12}>
          <StatsChart
            title="项目访问人数排行"
            subtext="项目详情访问情况"
            data={data.wgBarMap}
          />
        </Col>
        <Col span={12}>
          <StatsChart
            title="项目访问次数排行"
            data={data.fwBarMap}
          />
        </Col>
      </Row>
    </Card>
  );
};
export default BuildingStatistic;
